section.prin
{
	display: grid;
	grid-template-rows:150px 150px;
	grid-template-columns:150px 150px;
	grid-gap: 5px;
	max-width: 305px;
	margin: auto;
}

article#bot1
{
    width: 150px; 
     height: 150px;  
     background: rgba(255, 0, 0, 0.3);
     -moz-border-radius: 100% 0 0 0;
     -webkit-border-radius: 100% 0 0 0;
     border-radius: 100% 0 0 0;
}

article#bot2
{
    width: 150px; 
     height: 150px;  
     background: rgba(0, 0, 255, 0.3);
     -moz-border-radius: 0 100% 0 0;
     -webkit-border-radius: 0 100% 0 0;
     border-radius: 0 100% 0 0;
}

article#bot3
{
    width: 150px; 
     height: 150px;  
     background: rgba(255, 255, 0, 0.3);
     -moz-border-radius: 0 0 0 100%;
     -webkit-border-radius: 0 0 0 100%;
     border-radius: 0 0 0 100%;
}

article#bot4
{
    width: 150px; 
     height: 150px;  
     background: rgba(0, 255, 0, 0.3);
     -moz-border-radius: 0 0 100% 0;
     -webkit-border-radius: 0 0 100% 0;
     border-radius: 0 0 100% 0;
}

/*------------ CONTENEDOR DE MENSAJE ------------*/

.contenedor
{
position: absolute;
width: 100%;
height: 100%;
top: 0;
right: 0;
left: 0;
bottom: 0;
background-color: rgba(0,0,0,0.5);
display: grid;
grid-template-areas: ". . . . . ."
                    ". . . . . ."
                    ". . titulo titulo . ."
                    ". . boton boton . ."
                    ". . . mensaje . ."
                    ". . . . . ."
                    ". . . . . .";
}

.contenedor > h2
{
     font-size: 50px;
     grid-area: titulo;
     color: white;
     align-self: center;
     text-align:center;
}

.contenedor > input
{
    grid-area: boton;
    font-size: 30px;
    padding: 5px;
    border-radius: 20px;
    background-color: rgba(0,255,0,0.5);
    color: white;
    border:none;
    box-shadow: 0px 8px 8px 0px rgba(0,0,0,0.2);
}

.contenedor > input:hover
{
    background-color: rgba(32,124,17,1);
}

.contenedor > p
{
    color: white;
    grid-area: mensaje;
    text-align: center;
}

.contenedor > p > a
{
    color: white;
    font-weight: bold;
}

.contenedor > p > a:hover
{
    color:yellow;
}


@media screen and (min-width:600px)
{
    section.prin
        {
            grid-template-rows:250px 250px;
            grid-template-columns:250px 250px;
            grid-gap: 5px;
            max-width: 505px;
        }

    article#bot1, article#bot2, article#bot3, article#bot4
        {
            width: 250px;
            height: 250px;
        }

    .contenedor
        {
            grid-template-areas: ". . . . . . . ."
                                ". . . . . . . ."
                                ". . . titulo titulo . . ."
                                ". . . boton boton . . ."
                                ". . . . mensaje . . ."
                                ". . . . . . . ."
                                ". . . . . . . .";
        }
}
.cls{
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 200px;
    align-items: center;
    margin: 0px;
}